<?php 

class Estilo extends AppObjeto{
	
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'estilo';
	protected static $_campoPK = 'id_estilo';
	
	
	protected $nombre;
	
	public function setNombre($nombre){
		$this->nombre = $nombre;
	}
	
	public function getNombre(){
		return $this->nombre;
	}
	
	public function getEfectos(){
		return EstiloEfecto::getAllByEstilo($this->id);
	}
	
	public static function loadByName($nombre){
		$select = self::camposConsulta();
		$select->where('a.nombre=?',$nombre);
		
		$resultado = self::fetchAll($select);
	
		if(count($resultado)== 1){
			$resultado = $resultado->toArray();
			$estilo = new Estilo($resultado[0]['id_estilo']);
			
			return $estilo;
		}
	
	}
}